> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pingnetwork.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get session status

> Retrieves the current status of a specific session by ID



## OpenAPI

````yaml swagger.json get /sessions/{id}/status
openapi: 3.0.1
info:
  title: VPN-as-a-Service API
  description: API for managing VPN zones and sessions
  version: '1.0'
servers:
  - url: https://api.pingnetwork.io/customer/v2
security:
  - ApiKeyAuth: []
paths:
  /sessions/{id}/status:
    get:
      tags:
        - Sessions
      summary: Get session status
      description: Retrieves the current status of a specific session by ID
      parameters:
        - name: id
          in: path
          description: Session ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Session status retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/sessions.SessionStatus'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.ErrorResponse'
        '404':
          description: Session not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.ErrorResponse'
components:
  schemas:
    sessions.SessionStatus:
      required:
        - client_id
        - status
      type: object
      properties:
        client_id:
          type: string
          description: Client identifier
        status:
          $ref: '#/components/schemas/sessions.StatusEnum'
        duration:
          type: integer
          description: Session duration in seconds
        uploaded_bytes:
          type: integer
          description: Total bytes uploaded
        downloaded_bytes:
          type: integer
          description: Total bytes downloaded
    errors.ErrorResponse:
      required:
        - error
      type: object
      properties:
        error:
          required:
            - code
            - message
          type: object
          properties:
            code:
              type: string
              description: Unique error code identifier
            message:
              type: string
              description: Human-readable error message
            details:
              type: object
              properties: {}
              description: Additional error context
    sessions.StatusEnum:
      type: string
      enum:
        - created
        - connected
        - disconnected
      x-enum-varnames:
        - Created
        - Connected
        - Disconnected
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      name: Authorization
      in: header

````